Subject: Re: Notification: incoming/811

From: Dominik Vogt <[email-masked]>
Date: Tue, 11 Dec 2001 23:37:13 +0100

On Sun, Nov 18, 2001 at 02:43:28PM -0600, fvwm-bug wrote:
> FVWM Bug Tracking notification
> 
> new message incoming/811
> 
> Full_Name: enrico franchi
> Version: 2.2.4
> CVS_Date: 
> OS: SuSe Linux 2.4.2 PPC
> X_Server: Xfree86
> Submission from: (NULL) (62.10.68.161)
> 
> 
> I do not include any configuration as this bug happens even with factory 
> settings. I tried Fvwm95 and it also happened.
> Whenever I use the TaskBar, it happens that when I push the Start Button
> the whole X server crashes. This is annoying.

If that happens, probably fvwm has crashed.  Maybe the menu that
is opened with the start button does not exist (although this
should never crash fvwm).  Try setting this resource to a valid
menu name:

  *FvwmTaskBarStartMenu <menuname>

If that does not help the only thing I can think of is to upgrade
to 2.4.3.  We made a myriad of bug fixes since 2.2.x.  I'm
positive that the bug is gone in 2.4.x.  Upgrading fvwm isn't as
difficult as you might think.  Usually, you just have to download
the latest release, run "./configure", "make" and "make install"
and everything runs fine (don't forget to set the PATH so that the
shell starts the correct fvwm2 executable).  As a SuSE user you
should *not* deinstall the old fvwm2 package or yast will start
whining about unfulfilled dependencies.

> It also happens with Fvwm2 (which is the one I am actually using).
> I tried to debug it by myself but I didn´t manage to get any information.
> As far as I know clicking the start button is the only trouble, as
> clicking on windows buttons is fine.

> Could it be that fvwm2 does not know what to do when I click the start? if
> so, how can I teach it what to do?

> Please, don´t tell me the only solution is to upggrade, for I have a PPC
> Linux (SuSE) and it´s not that easy as if I had a Pentium like Linux.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]